Page MenuHomePhabricator

Log multi-DB transaction in MediaWiki
Closed, ResolvedPublic

Description

Having a log of these transactions will inform what cross DB mysql dependencies happen and what (if any) could use changes, commit ordering tweaks, or modifications to dependent code.

Event Timeline

aaron created this task.Dec 24 2015, 1:20 AM
aaron updated the task description. (Show Details)
aaron raised the priority of this task from to Normal.
aaron claimed this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 24 2015, 1:20 AM

Change 262689 had a related patch set uploaded (by Aaron Schulz):
Log multi-DB transaction in MediaWiki

https://gerrit.wikimedia.org/r/262689

aaron moved this task from Inbox to Blocked on the Performance-Team board.Jan 13 2016, 11:52 PM

Change 262689 merged by jenkins-bot:
Log multi-DB write transactions

https://gerrit.wikimedia.org/r/262689

aaron closed this task as Resolved.Jan 15 2016, 11:50 PM
Krinkle moved this task from Blocked to Doing on the Performance-Team board.Aug 5 2016, 1:17 AM